# LEGO type:standard slot:6 autostart

from spike import PrimeHub, Motor, MotorPair, ColorSensor
from spike.control import wait_for_seconds

HELLO = "HELLO IQ"

'''
Wir nutzen "Duck typing", dh wir schreiben hinter jede Variabel mit ':' die Klasse, zB `leftMotor: Motor`
damit man dann später auch wieder Code Completion hat bei Nutzung der Variablen
'''
class IQRobot:

    def __init__(self, hub: PrimeHub, leftMotorPort: str, rightMotorPort: str, colorSensorPort: str):
        self.hub: PrimeHub = hub
        self.leftMotor: Motor = Motor(leftMotorPort)
        self.rightMotor: Motor = Motor(rightMotorPort)
        self.movementMotors: MotorPair = MotorPair(leftMotorPort, rightMotorPort) 
        self.colorSensor: ColorSensor = ColorSensor(colorSensorPort)


    def show(self, image: str):
        '''
        Zeige Bild auf LED Matrix des Spikes
        image: Bildname wie zB 'HAPPY'
        '''
        self.hub.light_matrix.show_image(image)


    def driveForward(self, seconds: float):
        # Fahre die übergebene Anzahl seconds gerade aus
        self.movementMotors.start()
        wait_for_seconds(seconds)
        self.movementMotors.stop()

    def getColorIntensity(self):
        # Ermittele Farbintensität über den Farbsensor
        (red, green, blue, colorIntensity) = self.colorSensor.get_rgb_intensity()
        return colorIntensity





print("successfully loaded the IQ Lego teams code :)")


